GET Premier Roster Public Info
https://pd.{shard}.a.pvp.net/premier/v2/rosters/{rosterid}/publicInfo Get public info for a Premier roster by roster ID, including members, customization, and detailed season match/tournament data.
Headers
-
X-Riot-ClientPlatform: {client platform} -
X-Riot-ClientVersion: {client version} -
X-Riot-Entitlements-JWT: {entitlement token} -
Authorization: Bearer {auth token}
URL Parameters
Other Variables
-
client platformA string representing the platform of the client. Base-64 encoded JSON with the following fields:
{ "platformType": "PC", "platformOS": "Windows", "platformOSVersion": "10.0.19042.1.256.64bit", "platformChipset": "Unknown" }ew0KCSJwbGF0Zm9ybVR5cGUiOiAiUEMiLA0KCSJwbGF0Zm9ybU9TIjogIldpbmRvd3MiLA0KCSJwbGF0Zm9ybU9TVmVyc2lvbiI6ICIxMC4wLjE5MDQyLjEuMjU2LjY0Yml0IiwNCgkicGxhdGZvcm1DaGlwc2V0IjogIlVua25vd24iDQp9is a value that works. -
client version -
entitlement tokenCan be obtained locally with the Entitlements Token endpoint or remotely using Riot auth and the Entitlement endpoint -
auth tokenCan be obtained locally with the Entitlements Token endpoint or remotely by first using the Auth Cookies endpoint then using the cookies with the Auth Request endpoint
Response
type PremierRosterPublicInfoResponse = {
/** UUID */
rosterId: string;
name: string;
tag: string;
customization: {
/** UUID */
icon: string;
/** Unreal Engine color string */
primaryColor: string;
secondaryColor: string;
tertiaryColor: string;
};
members: {
/** Player UUID */
puuid: string;
role: "OWNER" | "MEMBER";
roleId: number;
/** Unix timestamp (seconds) */
createdAt: number;
}[];
season: {
/** UUID */
id: string;
isEnrolled: boolean;
conference: string;
division: number;
isProvisionalDivision: boolean;
promotionApplied: boolean;
points: number;
wins: number;
gamesPlayed: number;
seasonMatchRoundWins: number;
seasonMatchRoundsPlayed: number;
/** e.g. "NONE", "FIRST", "COMPETITOR" */
crest: string;
/** e.g. "BASIC", "QUALIFIED" */
plating: string;
matches?: {
[x: string]: {
/** UUID */
matchId: string;
/** UUID */
seasonId: string;
/** UUID */
eventId: string;
/** Milliseconds since epoch */
startTime: number;
pointDeltas: {
before: number;
after: number;
earned: number;
};
/** e.g. "win", "loss" */
outcome: string;
/** UUID */
opponentRosterID: string;
};
} | undefined;
tournaments?: {
[x: string]: {
/** UUID */
tournamentId: string;
placement: number;
/** Unix timestamp (seconds) */
startTime: number;
pointDeltas: {
before: number;
after: number;
earned: number;
};
matches: {
[x: string]: {
points: number;
roundNumber: number;
totalRounds: number;
/** e.g. "WINNERS", "LOSERS" */
bracketType: string;
};
};
};
} | undefined;
hasEarnedPromotionForNextSeason: boolean;
hasEarnedPrestige: boolean;
};
version: {
socialVersion: number;
premierVersion: number;
};
/** Unix timestamp (seconds) */
createdAt: number;
seasonalInfoBySeasonID: {
[x: string]: {
/** UUID */
id: string;
isEnrolled: boolean;
conference: string;
division: number;
isProvisionalDivision: boolean;
promotionApplied: boolean;
points: number;
wins: number;
gamesPlayed: number;
seasonMatchRoundWins: number;
seasonMatchRoundsPlayed: number;
/** e.g. "NONE", "FIRST", "COMPETITOR" */
crest: string;
/** e.g. "BASIC", "QUALIFIED" */
plating: string;
matches?: {
[x: string]: {
/** UUID */
matchId: string;
/** UUID */
seasonId: string;
/** UUID */
eventId: string;
/** Milliseconds since epoch */
startTime: number;
pointDeltas: {
before: number;
after: number;
earned: number;
};
/** e.g. "win", "loss" */
outcome: string;
/** UUID */
opponentRosterID: string;
};
} | undefined;
tournaments?: {
[x: string]: {
/** UUID */
tournamentId: string;
placement: number;
/** Unix timestamp (seconds) */
startTime: number;
pointDeltas: {
before: number;
after: number;
earned: number;
};
matches: {
[x: string]: {
points: number;
roundNumber: number;
totalRounds: number;
/** e.g. "WINNERS", "LOSERS" */
bracketType: string;
};
};
};
} | undefined;
hasEarnedPromotionForNextSeason: boolean;
hasEarnedPrestige: boolean;
};
};
}; {
"rosterId": "00bE9265-EacB-D029-03ee-E82b6E5cCa51",
"name": "Myrtle Rath",
"tag": "tempus",
"customization": {
"icon": "Ef72dCbe-E94E-C87F-Dddd-FD0eCb8Cebde",
"primaryColor": "comis",
"secondaryColor": "cupio",
"tertiaryColor": "demergo"
},
"members": [
{
"puuid": "83FAffee-AF24-2Ac8-16CA-badb6FA1da18",
"role": "OWNER",
"roleId": 89364739876843,
"createdAt": 58268516552404
},
{
"puuid": "29eFfBD0-736B-4B7c-101D-1AB8e4e5583D",
"role": "OWNER",
"roleId": 2257502418828991,
"createdAt": 8233966891604053
},
{
"puuid": "0E0DEcAf-Ac58-D0cf-FEDB-c56D6e9ca34E",
"role": "OWNER",
"roleId": 661494592523425,
"createdAt": 5527293774506516
},
{
"puuid": "9EaeB5b1-Ccf4-fC7c-ae15-5eb6b2436EBE",
"role": "OWNER",
"roleId": 3378205173796293,
"createdAt": 4763399321771105
},
{
"puuid": "bb5a7568-f57e-D4Ee-C02d-1F321c7C67bc",
"role": "OWNER",
"roleId": 7820352668387867,
"createdAt": 4571161112865581
}
],
"season": {
"id": "E973a5D2-A40A-CFca-f23d-E4c68be2fD5b",
"isEnrolled": true,
"conference": "altus",
"division": 2812269195084241,
"isProvisionalDivision": true,
"promotionApplied": false,
"points": 2313501080756331,
"wins": 4269195375784347,
"gamesPlayed": 5895833950171861,
"seasonMatchRoundWins": 2739593707292344,
"seasonMatchRoundsPlayed": 299102561047665,
"crest": "dolorem",
"plating": "socius",
"matches": {
"423b7524-3B66-B9D4-A1c4-c11e4f70b077": {
"matchId": "CC7e6B27-ecD2-B41e-fBFB-ab19b1Ce3e4F",
"seasonId": "0a26Da19-FaBD-Fb9B-c725-Ec0d8abCcb26",
"eventId": "aF6732c6-1Ade-C2C5-a4C2-cCBC5D8f5A31",
"startTime": 3209841060204833,
"pointDeltas": {
"before": 8419197873024181,
"after": 7335104206278002,
"earned": 2951338548058447
},
"outcome": "dignissimos",
"opponentRosterID": "f78eF59a-ed3C-0a53-7d39-d97F8e029848"
}
},
"tournaments": {
"Da7e87Fc-dbCa-d3E4-0DA7-b5FDdED66EEa": {
"tournamentId": "86B526F9-cAb1-FBE7-dEc1-f610b42dc55F",
"placement": 6590017928109225,
"startTime": 3346378477726266,
"pointDeltas": {
"before": 5894622982949786,
"after": 7041653248816897,
"earned": 560792557858295
},
"matches": {
"DFA1D3Ef-878D-bFc8-24ED-1f9d0747E14E": {
"points": 3239598716788250,
"roundNumber": 6963319725918525,
"totalRounds": 168408899784022,
"bracketType": "benevolentia"
}
}
}
},
"hasEarnedPromotionForNextSeason": false,
"hasEarnedPrestige": true
},
"version": {
"socialVersion": 4508139186561379,
"premierVersion": 7099199331868011
},
"createdAt": 3282356548332334,
"seasonalInfoBySeasonID": {
"bd936E3C-5cc3-4d36-DfA4-b5BBD87F50f8": {
"id": "ECe1d4Dd-606F-EFd1-bF4E-Db83D3127e2e",
"isEnrolled": false,
"conference": "bis",
"division": 2402845570291002,
"isProvisionalDivision": false,
"promotionApplied": false,
"points": 4994263043901864,
"wins": 8721415804905051,
"gamesPlayed": 1250465593686730,
"seasonMatchRoundWins": 997386255999432,
"seasonMatchRoundsPlayed": 5705785638641257,
"crest": "articulus",
"plating": "dolor",
"matches": {
"Df30EcA7-bE4a-fEf2-cAd2-6dcBe2a6Bc1b": {
"matchId": "f7DeDdDf-CccA-2d2B-9cE6-CEdF7BB50cF1",
"seasonId": "D14e6136-3dA6-ECE4-FdeE-AE658a50cFBD",
"eventId": "378Fd7Dc-AA21-1941-4bfB-CEEF81DD739b",
"startTime": 6122554445823273,
"pointDeltas": {
"before": 552920917203505,
"after": 1079850698949090,
"earned": 4234596703308336
},
"outcome": "curso",
"opponentRosterID": "D099b2E1-d3cA-ac2f-09f2-DAABdd3b642d"
}
},
"tournaments": {
"75c014B2-CbAe-9d3E-a3da-E1e09f586a7d": {
"tournamentId": "B6E3fFF7-0e9a-143a-beCe-6bD01bEcf5Ec",
"placement": 3523448048775151,
"startTime": 5667377608165663,
"pointDeltas": {
"before": 6833344930707755,
"after": 2320845176530475,
"earned": 5087457066193503
},
"matches": {
"da0dfBcA-cc0d-a48d-f3F8-7Ea9eb831630": {
"points": 4073294512603591,
"roundNumber": 893601507513190,
"totalRounds": 69020917665933,
"bracketType": "complectus"
}
}
}
},
"hasEarnedPromotionForNextSeason": false,
"hasEarnedPrestige": true
}
}
}